/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 *
 * Copyright 2001 DAX Interactive, LLC.
 * 
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-plugins/src/org/opendj/plugins/rerun/scheduler/RerunComparator.java,v 1.1.1.1 2001/09/29 20:36:57 jonathan Exp $
 * $Log: RerunComparator.java,v $
 * Revision 1.1.1.1  2001/09/29 20:36:57  jonathan
 * Imported opendj-plugins
 *
 */
package org.opendj.plugins.rerun.scheduler;

import org.opendj.beans.archive.AudioArchiveBean;
import java.util.Comparator;

public class RerunComparator implements Comparator {

    public RerunComparator() {}

    // Sorts by karma, highest karma first
    public int compare ( Object o1, Object o2 ) {
        AudioArchiveBean a1 = (AudioArchiveBean) o1;
        AudioArchiveBean a2 = (AudioArchiveBean) o2;
        return ( a2.getKarmaearned() - a1.getKarmaearned() );
    }

    public boolean equals ( Object o1 ) {
        return ( o1 instanceof RerunComparator );
    }

}
