/*
 * This file and everything in this package is covered under
 * the GNU General Public License.  See the LICENSE file at the top
 * level of this package for full details.  A copy of the license
 * is also available at: http://opendj.org/docs/licenses/LICENSE.gpl
 *
 * Copyright 2001 DAX Interactive, LLC.
 * 
 * $Author: jonathan $
 * $Revision: 1.1.1.1 $
 * $Header: /home/cvspublic/opendj/opendj-plugins/src/org/opendj/plugins/powermon/PowerStatus.java,v 1.1.1.1 2001/09/29 20:36:57 jonathan Exp $
 * $Log: PowerStatus.java,v $
 * Revision 1.1.1.1  2001/09/29 20:36:57  jonathan
 * Imported opendj-plugins
 *
 */
package org.opendj.plugins.powermon;

public class PowerStatus {

    private double batterycharge = 0.0;
    private double timeleft = 0.0;

    public PowerStatus ( double batteycharge, double timeleft ) {
        this.batterycharge = batterycharge;
        this.timeleft = timeleft;
    }

    public int getbatterychargeint () { return (int) batterycharge; }
    public int gettimeleftint () { return (int) timeleft; }

    public double getbatterycharge () { return batterycharge; }
    public double gettimeleft () { return timeleft; }
}
